Subject: Fwd: I-D Action:draft-van-beijnum-modified-nat-pt-00.txt

From: Iljitsch van Beijnum <[email-masked]>
Date: Mon, 12 Nov 2007 14:56:38 +0100

This is the modified NAT-PT draft that I mentioned this weekend.

Chairs: I would like the opportunity to present this draft in  
Vancouver, if possible.

If desired I can talk about alternatives for / changes to NAT-PT in  
general rather than this specific proposal.

Iljitsch

Begin forwarded message:

> From: [email-masked]
> Date: 12 november 2007 14:50:02 GMT+01:00
> To: [email-masked]
> Subject: I-D Action:draft-van-beijnum-modified-nat-pt-00.txt
> Reply-To: [email-masked]

> A New Internet-Draft is available from the on-line Internet-Drafts  
> directories.

> 	Title           : Modified Network Address Translation - Protocol  
> Translation
> 	Author(s)       : I. van Beijnum
> 	Filename        : draft-van-beijnum-modified-nat-pt-00.txt
> 	Pages           : 9
> 	Date            : 2007-11-12

> A smooth transition from IPv4 to IPv6 requires that either all hosts
> are upgraded to dual stack before the first hosts can become IPv6-
> only, or that there be some mechanism for IPv6-only hosts to talk to
> IPv4-only hosts.  Current levels of dual stack deployment suggest
> that expecting the former within a reasonable timeframe isn't
> realistic, based on current adoption of dual stack combined with the
> latest projections for the IPv4 depletion that point to a date early
> in the next decade.  And the IETF has recently deprecated the main
> mechanism that allows the latter: NAT-PT.
> This document proposes modifications to NAT-PT that address the
> reasons why the mechanism was deprecated in order to allow future
> deployment of the modified NAT-PT as an IPv4-to-IPv6 transition
> mechanism, giving operators the option to run their networks largely
> IPv6-only.

> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-van-beijnum-modified-nat-pt-00.txt

---

From: Ed Jankiewicz <[email-masked]>
Date: Wed, 14 Nov 2007 09:28:22 -0500

I would be in favor of hearing a discussion of this and the other 
alternatives put forward recently on this list.  I agree that there is a 
problem to be solved (stateless connectivity between a host using an 
IPv6 address and a legacy IPv4 host or enclave) but I'm not settled on a 
solution yet.

This may be out of place, but I offer it simply for information.  I am 
aware of several commercial translation implementations that bear some 
investigation as well, one of which I had a hand in building at my 
previous employer (Datatek). I am not endorsing their product or any of 
the other products, but they are available (or soon to be) and may help 
with some deployment scenarios, and those who are interested may look 
them up:  Datatek Applications (Transformer), Ambriel Technologies (AT-X 
series), and Silex Technology (SX-2600CV).  Datatek is "essentially" 
SIIT with some twists, Ambriel admits to being NAT-PT, but I don't have 
any technical info on Silex.  All are targeted at adapting the legacy 
IPv4 device to an IPv6-dominant network with IPv6 peers.

-- 
Ed Jankiewicz - SRI International
Fort Monmouth Branch Office - IPv6 Research 
Supporting DISA Standards Engineering Branch
732-389-1003 or  [email-masked]